Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Textinhalt A zu Textinhalt B überschreiben

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Textinhalt A zu Textinhalt B überschreiben (335 mal gelesen)
zimmernagel
Mitglied
Techniker


Sehen Sie sich das Profil von zimmernagel an!   Senden Sie eine Private Message an zimmernagel  Schreiben Sie einen Gästebucheintrag für zimmernagel

Beiträge: 63
Registriert: 24.09.2003

Windows 10 64-bit, 16GB, AutoCAD 2020 und Civil 2020

erstellt am: 16. Feb. 2020 21:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen!

Ich suche ein kleines Progrämmchen, was nach Anklicken eines Textes "A" den Textinhalt von Text "B" nach Anklicken mit Textinhalt von A überschreibt.

Zusätzlich sollte da noch eine Abfrage dazwischen sein, ob der Zahlenwert um eine Zahl addiert oder subtrahiert wird.

Es handelt sich um eine Höhe, die abundzu einfach übernommen wird, aber halt auch mal mit einer Zahl verringert oder vergrößert werden soll. Diese Abfrage soll sich das Programm behalten - <Wert> als Vorlage, was dann durch einfaches "Return" dann übernommen wird.

Bedingt dadurch, dass ich nur noch sehr sehr selten mit Lisp zur Arbeitserleichterung zu tun habe, fällt mir das schon schwer, mich wieder da reinzudenken, leider....

Vielleicht hat ja jemand hier aus der Profi-Liga das mit einem 17-Zeiler aus dem Ärmel geschüttelt? Vielen Dank vorab schonmal für einen Lösungsvorschlag!

------------------
Bis dann,
  Arwed Fränken

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1107
Registriert: 20.12.2002

erstellt am: 17. Feb. 2020 06:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für zimmernagel 10 Unities + Antwort hilfreich

Das sollte was sein für dich

http://lee-mac.com/copytext.html

------------------
mfg Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1663
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 17. Feb. 2020 07:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für zimmernagel 10 Unities + Antwort hilfreich

Hallo Arwed,
nur ganz kurz und ohne Netz und doppelten Boden. Wenn Du Dich dann doch wieder ein wenig reindenkst kannt Du Dir das bestimmt noch optimieren:

Code:

(defun c:textwert ( / )
  (vla-put-textstring
    (vlax-ename->vla-object(car(entsel "\nText B picken:")))
    (vla-get-textstring
      (vlax-ename->vla-object(car(entsel "\nText A picken:")))
      )
    )
  (princ)
  )

(defun c:textwertPlus ( / NACHKOMMA WERTADD)
  (setq nachkomma 2)
  (if(not textWertPlus$$Add)
    (setq textWertPlus$$Add 1.0);;;Initialierungswert in globale Variable
    )
  (if (or (setq WertAdd (getreal
                          (strcat"\nAdditionswert:<"
                                (rtos textWertPlus$$Add 2 2)
                                ">")))
          (setq WertAdd textWertPlus$$Add))
    (progn
      (setq textWertPlus$$Add wertAdd)
      (vla-put-textstring
        (vlax-ename->vla-object(car(entsel "\nText B picken:")))
        (rtos(+(atof(vla-get-textstring
              (vlax-ename->vla-object(car(entsel "\nText A picken:")))
              ))wertAdd)2 nachkomma))
      )
    )
  (princ))


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Multifilter Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zimmernagel
Mitglied
Techniker


Sehen Sie sich das Profil von zimmernagel an!   Senden Sie eine Private Message an zimmernagel  Schreiben Sie einen Gästebucheintrag für zimmernagel

Beiträge: 63
Registriert: 24.09.2003

Windows 10 64-bit, 16GB, AutoCAD 2020 und Civil 2020

erstellt am: 17. Feb. 2020 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank Jörn!

Das ist genau das, was ich brauche, so spare ich mir doch viel Zeit, da ich so an die 7000 Höhen habe, die man auf jeden Fall trotzdem manuell anklicken muss!!!
Es ist doch immerwieder schön hier im Forum, dass man geholfen bekommt, und, dass AutoCAD immer noch die Lisp-Schnittstelle hat und man nach Wünschen das Programm optimieren kann!

------------------
Bis dann,
  Arwed Fränken

[Diese Nachricht wurde von zimmernagel am 17. Feb. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zimmernagel
Mitglied
Techniker


Sehen Sie sich das Profil von zimmernagel an!   Senden Sie eine Private Message an zimmernagel  Schreiben Sie einen Gästebucheintrag für zimmernagel

Beiträge: 63
Registriert: 24.09.2003

Windows 10 64-bit, 16GB, AutoCAD 2020 und Civil 2020

erstellt am: 17. Feb. 2020 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Dober Heinz!

Vielen Dank! Das ist sogar noch ein Tick besser, da es auch MTexte verarbeitet! Der gute alte Lee Mac, ich hatte die Seite vergessen, der hat sogar was, wenn man Schmuck, Uhren oder Fahrräder bearbeiten muss... ;-)

------------------
Bis dann,
  Arwed Fränken

[Diese Nachricht wurde von zimmernagel am 17. Feb. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz